%define api		1
%define major		0
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	A freedesktop.org menu implementation
Name:		garcon
Version:	0.2.1
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/libs/garcon/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequireS:	pkgconfig(libxfce4util-1.0)

%description
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package data
Summary:	Locale and data files for %{name}
Group:		Graphical desktop/Xfce
Conflicts:	%{_lib}garcon0 < 0.2.0
#Added 11/2012 (wally)
Obsoletes:	%{name} < 0.2.0-2

%description data
This package contains the common data files and localizations for garcon,
a freedesktop.org menu implementation.

%package -n %{libname}
Summary:	A freedesktop.org menu implementation
Group:		System/Libraries
Requires:	%{name}-data >= %{version}-%{release}
#Added 04/2012 (wally)
Obsoletes:	%{_lib}garcon0 < 0.2.0

%description -n %{libname}
Garcon is an implementation of the freedesktop.org menu specification
replacing the former Xfce menu library libxfce4menu. It is based on
GLib/GIO only and aims at covering the entire specification except for
legacy menus.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
make V=1

%install
%makeinstall_std

# this file is in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/menus/xfce-applications.menu

%find_lang %{name}

# don't ship .la
find %{buildroot} -name "*.la" -delete

%files data -f %{name}.lang
%{_datadir}/desktop-directories/xfce-*.directory

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{develname}
%doc AUTHORS ChangeLog HACKING NEWS README STATUS TODO
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}*
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-2.mga4
+ Revision: 523558
- Mageia 4 Mass Rebuild

* Thu May 23 2013 wally <wally> 0.2.1-1.mga4
+ Revision: 425072
- new version 0.2.1

* Fri Apr 12 2013 wally <wally> 0.2.0-5.mga3
+ Revision: 409822
- push to core/release (really fix missing translations, mga#9692)

* Fri Apr 12 2013 wally <wally> 0.2.0-4.1.mga3
+ Revision: 409808
- try to really fix missing translations

* Thu Apr 11 2013 wally <wally> 0.2.0-4.mga3
+ Revision: 409686
- rebuild due to a missing settings menu translations (mga#9692)

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-3.mga3
+ Revision: 351063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 wally <wally> 0.2.0-2.mga3
+ Revision: 316740
- rename data package

* Mon May 28 2012 wally <wally> 0.2.0-1.mga3
+ Revision: 248449
- new version 0.2.0
- fix lib pkg name
- move i18n files to main pkg
- clean .spec

* Mon Feb 13 2012 wally <wally> 0.1.10-1.mga2
+ Revision: 208445
- new version 0.1.10

* Sat Jun 25 2011 ahmad <ahmad> 0.1.8-1.mga2
+ Revision: 113315
- Update to 0.1.8

* Thu Jan 27 2011 ahmad <ahmad> 0.1.5-2.mga1
+ Revision: 41629
- don't ship .a, .la
- imported package garcon


* Sat Jan 22 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.5-1mdv2011.0
+ Revision: 632317
- update to new version 0.1.5

* Wed Dec 08 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.4-1mdv2011.0
+ Revision: 616352
- update to new version 0.1.4

* Sun Nov 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.3-1mdv2011.0
+ Revision: 594762
- update to new version 0.1.3

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-3mdv2011.0
+ Revision: 593848
- remove conflicting file with mandriva-xfce-config-common package

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-2mdv2011.0
+ Revision: 593801
- add requires on garcon

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.2-1mdv2011.0
+ Revision: 593794
- update to new version 0.1.2
- package new menus and new catecory files

* Sat Feb 27 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.1-2mdv2010.1
+ Revision: 512396
- fix requires and provides for devel package
- import garcon


